Skip to content

Get Shipping Addresses

GET
/inboxes/{inbox_id}/shipping-addresses

Returns the shipping addresses associated with the given inbox.

Send your API key in the x-api-key header. See Authentication.

inbox_id
required
string
page
integer

The desired page from the result set. Defaults to 1.

per_page
integer

The number of items per page. Defaults to 100.

Success

object
total

Total number of items across all pages.

integer
15
per_page

Number of items per page.

integer
100
current_page

The current page number (1-based).

integer
1
last_page

The last available page number.

integer
1
from

The index of the first item on this page (1-based).

integer
1
to

The index of the last item on this page (1-based).

integer
15
data
Array<object>
object
id
integer
123456
created_at
string format: date-time
updated_at
string format: date-time
addressee
string
Molly Smith
address_line_1
string
1004 S Mt Olive St
address_line_2
string
locality
string
PHOENIX
region_abbreviation
string
AZ
region
string
Arizona
country_abbreviation
string
US
country
string
United States
postal_code
string
72761
phone
string
tags
Array<string>
[
"domestic"
]
delivery_confidence_percent
number | null
inbox_id
integer | null
company
string | null
is_authorized
boolean | null
requires_hs_tariff_codes
boolean | null
requires_itn
boolean | null
Example
{
"current_page": 1,
"data": [
{
"id": 123456,
"created_at": "2020-05-10T10:00:00Z",
"updated_at": "2020-05-10T10:00:00Z",
"address_line_1": "1004 S Mt Olive St",
"address_line_2": "",
"addressee": "Molly Smith",
"company": "",
"country": "United States",
"country_abbreviation": "US",
"delivery_confidence_percent": null,
"inbox_id": 123456,
"is_authorized": true,
"locality": "PHOENIX",
"phone": "(111) 111-1111",
"postal_code": "72761",
"region": "Arizona",
"region_abbreviation": "AZ",
"requires_hs_tariff_codes": false,
"requires_itn": false,
"tags": [
"domestic"
]
}
],
"from": 1,
"last_page": 1,
"per_page": 100,
"to": 1,
"total": 1
}

The x-api-key header is missing or the key is not valid, or the caller can’t access an ID in the request. IDs that don’t exist return the same response as IDs the caller can’t access.

Error envelope returned with 4xx and 5xx responses.

object
error
object
code

Usually the HTTP status code. It can differ; a request to an unknown path returns HTTP 400 with code 500.

integer
401
message

Human-readable description of the error.

string
type

The kind of error, for example Authorization or REST.

string
REST
fields

Returned only with 422 responses. It may give more details about what failed validation, as lists of messages keyed by the name of the input.

object
key
additional properties
Array<string>
Examples
{
"error": {
"code": 401,
"message": "The request does not include a valid access token. Please provide a valid access token.",
"type": "Authorization"
}
}